curl --request POST \
--url https://api.partoo.co/v2/custom_role \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"name": "My Custom Role",
"api_id": "my_custom_role",
"permissions": [
"business_edit",
"business_edit_name",
"review_read"
],
"description": "This Custom Role is just an example for our API documentation",
"org_id": 42
}
'import requests
url = "https://api.partoo.co/v2/custom_role"
payload = {
"name": "My Custom Role",
"api_id": "my_custom_role",
"permissions": ["business_edit", "business_edit_name", "review_read"],
"description": "This Custom Role is just an example for our API documentation",
"org_id": 42
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'My Custom Role',
api_id: 'my_custom_role',
permissions: ['business_edit', 'business_edit_name', 'review_read'],
description: 'This Custom Role is just an example for our API documentation',
org_id: 42
})
};
fetch('https://api.partoo.co/v2/custom_role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"api_id": "my_custom_role"
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Create Custom Role
This endpoint enables you to create custom roles for organizations within your scope.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization ID. Only PROVIDER users can specify a different organization. If not provided, defaults to your own organization.
Body
Custom role creation payload.
Name of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.
1 - 100^[^,;\/\\|<>]{1,100}$"My Custom Role"
Unique identifier. Cannot contain any of the following characters: ,;/\|<>.
1 - 100^[^,;\/\\|<>]{1,100}$"my_custom_role"
List of permission names. (Use GET /api/v2/permissions to get a list of all available permissions for your organization.)
[
"business_edit",
"business_edit_name",
"review_read"
]
Description of the Custom Role. Cannot contain any of the following characters: ,;/\|<>.
1 - 200^[^,;\/\\|<>]{1,200}$"This Custom Role is just an example for our API documentation"
Organization ID (optional). Specify if you have access to more than one organization.
42
Was this page helpful?